VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT:
[legend]

## Public Member Functions

| ImageDrmFormatModifierExplicitCreateInfoEXT (uint64_t drmFormatModifier_=0, uint32_t drmFormatModifierPlaneCount_=0, const SubresourceLayout *pPlaneLayouts_=nullptr)
| ImageDrmFormatModifierExplicitCreateInfoEXT (VkImageDrmFormatModifierExplicitCreateInfoEXT const &rhs)
ImageDrmFormatModifierExplicitCreateInfoEXT & | operator= (VkImageDrmFormatModifierExplicitCreateInfoEXT const &rhs)
ImageDrmFormatModifierExplicitCreateInfoEXT & | setPNext (const void *pNext_)
ImageDrmFormatModifierExplicitCreateInfoEXT & | setDrmFormatModifier (uint64_t drmFormatModifier_)
ImageDrmFormatModifierExplicitCreateInfoEXT & | setDrmFormatModifierPlaneCount (uint32_t drmFormatModifierPlaneCount_)
ImageDrmFormatModifierExplicitCreateInfoEXT & | setPPlaneLayouts (const SubresourceLayout *pPlaneLayouts_)
| operator VkImageDrmFormatModifierExplicitCreateInfoEXT const & () const
| operator VkImageDrmFormatModifierExplicitCreateInfoEXT & ()
bool | operator== (ImageDrmFormatModifierExplicitCreateInfoEXT const &rhs) const
bool | operator!= (ImageDrmFormatModifierExplicitCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint64_t | drmFormatModifier
uint32_t | drmFormatModifierPlaneCount
const SubresourceLayout * | pPlaneLayouts

## Private Attributes

StructureType | sType = StructureType::eImageDrmFormatModifierExplicitCreateInfoEXT

## Detailed Description

Definition at line 21003 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageDrmFormatModifierExplicitCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::ImageDrmFormatModifierExplicitCreateInfoEXT | ( | uint64_t | drmFormatModifier_ = `0`,
|  | uint32_t | drmFormatModifierPlaneCount_ = `0`,
|  | const SubresourceLayout * | pPlaneLayouts_ = `nullptr`
| ) |  |

inline

Definition at line 21005 of file vulkan.hpp.

: drmFormatModifier( drmFormatModifier_ )
, drmFormatModifierPlaneCount( drmFormatModifierPlaneCount_ )
, pPlaneLayouts( pPlaneLayouts_ )
{
}

## ImageDrmFormatModifierExplicitCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::ImageDrmFormatModifierExplicitCreateInfoEXT | ( | VkImageDrmFormatModifierExplicitCreateInfoEXT const & | rhs | ) |

inline

Definition at line 21014 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageDrmFormatModifierExplicitCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageDrmFormatModifierExplicitCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator VkImageDrmFormatModifierExplicitCreateInfoEXT & | ( |  | ) |

inline

Definition at line 21053 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageDrmFormatModifierExplicitCreateInfoEXT*>(this);
}

## operator VkImageDrmFormatModifierExplicitCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator VkImageDrmFormatModifierExplicitCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 21048 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageDrmFormatModifierExplicitCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator!= | ( | ImageDrmFormatModifierExplicitCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 21067 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageDrmFormatModifierExplicitCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator= | ( | VkImageDrmFormatModifierExplicitCreateInfoEXT const & | rhs | ) |

inline

Definition at line 21019 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageDrmFormatModifierExplicitCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator== | ( | ImageDrmFormatModifierExplicitCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 21058 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( drmFormatModifier == rhs.drmFormatModifier )
&& ( drmFormatModifierPlaneCount == rhs.drmFormatModifierPlaneCount )
&& ( pPlaneLayouts == rhs.pPlaneLayouts );
}

References drmFormatModifier, drmFormatModifierPlaneCount, pNext, pPlaneLayouts, and sType.

Referenced by operator!=().

## setDrmFormatModifier()

ImageDrmFormatModifierExplicitCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::setDrmFormatModifier | ( | uint64_t | drmFormatModifier_ | ) |

inline

Definition at line 21030 of file vulkan.hpp.

{
drmFormatModifier = drmFormatModifier_;
return *this;
}

References drmFormatModifier.

## setDrmFormatModifierPlaneCount()

ImageDrmFormatModifierExplicitCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::setDrmFormatModifierPlaneCount | ( | uint32_t | drmFormatModifierPlaneCount_ | ) |

inline

Definition at line 21036 of file vulkan.hpp.

{
drmFormatModifierPlaneCount = drmFormatModifierPlaneCount_;
return *this;
}

References drmFormatModifierPlaneCount.

## setPNext()

ImageDrmFormatModifierExplicitCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21024 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPPlaneLayouts()

ImageDrmFormatModifierExplicitCreateInfoEXT& VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::setPPlaneLayouts | ( | const SubresourceLayout * | pPlaneLayouts_ | ) |

inline

Definition at line 21042 of file vulkan.hpp.

{
pPlaneLayouts = pPlaneLayouts_;
return *this;
}

References pPlaneLayouts.

## Field Documentation

## drmFormatModifier

uint64_t VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifier

Definition at line 21077 of file vulkan.hpp.

Referenced by operator==(), and setDrmFormatModifier().

## drmFormatModifierPlaneCount

uint32_t VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifierPlaneCount

Definition at line 21078 of file vulkan.hpp.

Referenced by operator==(), and setDrmFormatModifierPlaneCount().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::pNext = nullptr

Definition at line 21076 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pPlaneLayouts

const SubresourceLayout* VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::pPlaneLayouts

Definition at line 21079 of file vulkan.hpp.

Referenced by operator==(), and setPPlaneLayouts().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::sType = StructureType::eImageDrmFormatModifierExplicitCreateInfoEXT

private

Definition at line 21073 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifier
uint64_t drmFormatModifier
Definition: vulkan.hpp:21077
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::operator==
bool operator==(ImageDrmFormatModifierExplicitCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:21058
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkImageDrmFormatModifierExplicitCreateInfoEXT
Definition: vulkan_core.h:7828
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::ImageDrmFormatModifierExplicitCreateInfoEXT
ImageDrmFormatModifierExplicitCreateInfoEXT(uint64_t drmFormatModifier_=0, uint32_t drmFormatModifierPlaneCount_=0, const SubresourceLayout *pPlaneLayouts_=nullptr)
Definition: vulkan.hpp:21005
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:21076
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:21073
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::pPlaneLayouts
const SubresourceLayout * pPlaneLayouts
Definition: vulkan.hpp:21079
VULKAN_HPP_NAMESPACE::ImageDrmFormatModifierExplicitCreateInfoEXT::drmFormatModifierPlaneCount
uint32_t drmFormatModifierPlaneCount
Definition: vulkan.hpp:21078